Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class DebugArea

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.TextComponent
                  |
                  +--java.awt.TextArea
                        |
                        +--DebugArea

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class DebugArea
extends java.awt.TextArea

The `DebugArea` class is a tool for easy debuging. It is a `TextArea` extension with methods to output the debuging text in it.

It is possible to set priorities to the messages, the output is then filtered according to the globally set priority .

See Also:
  Serialized Form

Inner classes inherited from class java.awt.TextArea
`java.awt.TextArea.AccessibleAWTTextArea`

Inner classes inherited from class java.awt.TextComponent
`java.awt.TextComponent.AccessibleAWTTextComponent`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.AWTTreeLock`

Field Summary
`static int` | `HIGH` The priority HIGH.
`static int` | `LOW` The priority LOW.
`static int` | `MEDIUM` The priority MEDIUM.
`static int` | `NONE` The priority NONE.
`static int` | `OFF` The priority OFF.

Fields inherited from class java.awt.TextArea
`columns, rows, SCROLLBARS_BOTH, SCROLLBARS_HORIZONTAL_ONLY, SCROLLBARS_NONE, SCROLLBARS_VERTICAL_ONLY`

Fields inherited from class java.awt.TextComponent
`editable, selectionEnd, selectionStart, text, textListener`

Fields inherited from class java.awt.Component
`accessibleContext, actionListenerK, adjustmentListenerK, appContext, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, componentListener, componentListenerK, componentOrientation, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, graphicsConfig, hasFocus, height, hierarchyBoundsListener, hierarchyBoundsListenerK, hierarchyListener, hierarchyListenerK, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, metrics, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, RIGHT_ALIGNMENT, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowClosingException, windowListenerK, x, y`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`DebugArea()`

Method Summary
`void` | `clear()` Clears output
`boolean` | `getOutput()` Returns the state of output (`true` == enabled, `false` == disabled
`int` | `getPriority()` Returns the global priority value.
`void` | `setOutput(boolean in)` Enable/disable output
`void` | `setPriority(int pr)` Sets the global priority.
`void` | `write(int pr, java.lang.String s)` Outputs given String with given priority, if the `output` is enabled.
`void` | `write(java.lang.String s)` Outputs given String with default priority (==`MEDIUM`), if the `output` is enabled.

Methods inherited from class java.awt.TextArea
`, addNotify, append, appendText, constructComponentName, getAccessibleContext, getColumns, getMinimumSize, getMinimumSize, getPreferredSize, getPreferredSize, getRows, getScrollbarVisibility, insert, insertText, minimumSize, minimumSize, paramString, preferredSize, preferredSize, replaceRange, replaceText, setColumns, setRows`

Methods inherited from class java.awt.TextComponent
`addTextListener, areInputMethodsEnabled, eventEnabled, getBackground, getCaretPosition, getCharacterBounds, getIndexAtPoint, getListeners, getSelectedText, getSelectionEnd, getSelectionStart, getText, isEditable, processEvent, processTextEvent, removeNotify, removeTextListener, select, selectAll, setBackground, setCaretPosition, setEditable, setSelectionEnd, setSelectionStart, setText`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkGD, checkImage, checkImage, checkWindowClosingException, coalesceEvents, contains, contains, createChildHierarchyEvents, createHierarchyEvents, createImage, createImage, deliverEvent, disable, disableEvents, dispatchEvent, dispatchEventImpl, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getAccessibleIndexInParent, getAccessibleStateSet, getAlignmentX, getAlignmentY, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen_NoTreeLock, getLocationOnScreen, getMaximumSize, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getSize, getToolkit, getToolkitImpl, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isRecursivelyVisible, isShowing, isValid, isVisible, keyDown, keyUp, layout, lightweightPaint, lightweightPrint, list, list, list, list, list, locate, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, numListening, paint, paintAll, paintHeavyweightComponents, postEvent, postsOldMouseEvents, prepareImage, prepareImage, print, printAll, printHeavyweightComponents, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, resetGC, reshape, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, update, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OFF

    public static final int OFF

  The priority OFF. Means zero output. This value makes sense only as the global setting.

### NONE

    public static final int NONE

  The priority NONE. Same as OFF. Means zero output. This value makes sense only as the global setting.

### HIGH

    public static final int HIGH

  The priority HIGH. Usable both for global and message priority setting.

### MEDIUM

    public static final int MEDIUM

  The priority MEDIUM. Usable both for global and message priority setting.

### LOW

    public static final int LOW

  The priority LOW. Usable both for global and message priority setting.

Constructor Detail

### DebugArea

    public DebugArea()

Method Detail

### write

    public void write(java.lang.String s)

  Outputs given String with default priority (==`MEDIUM`), if the `output` is enabled.
  Parameters:
    `s` - String to output

### write

    public void write(int pr,
                      java.lang.String s)

  Outputs given String with given priority, if the `output` is enabled.
  Parameters:
    `pr` - priority to give the outgoing message
    `s` - String to output

### clear

    public void clear()

  Clears output

### getPriority

    public int getPriority()

  Returns the global priority value.
  Returns:
    the global priority

### setPriority

    public void setPriority(int pr)

  Sets the global priority.
  Parameters:
    `pr` - new global priority value

### getOutput

    public boolean getOutput()

  Returns the state of output (`true` == enabled, `false` == disabled
  Returns:
    the value of `output` trigger

### setOutput

    public void setOutput(boolean in)

  Enable/disable output
  Parameters:
    `in` - `true` to enable, `false` to disable output

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD